Overview
GET/auth/tokens/scopesauth

List available REST path-prefix scopes that may be assigned to an API token

List scopes.

Auth: bearerAuth — calls run as the authenticated user.

Responses
200

scope prefixes

  • prefixesstring[]

    Distinct 2-segment path prefixes derived from the live OpenAPI spec (e.g. "/content/markdown")

Example
{
  "prefixes": [
    "string"
  ]
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/auth/tokens/scopes" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/tokens/scopes", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();